//
//  NSDictionary+VenueKitAdditions.m
//  VenueKit
//
//  Created by Logan Collins on 3/13/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import "NSDictionary+VenueKitAdditions.h"
#import "NSString+VenueKitAdditions.h"


@implementation NSDictionary (VenueKitAdditions)

- (NSData *)vnk_HTTPBody {
    NSArray *keys = [[self allKeys] sortedArrayUsingSelector:@selector(localizedCaseInsensitiveCompare:)];
    NSMutableArray *pairs = [NSMutableArray arrayWithCapacity:[keys count]];
    for (NSUInteger i=0; i<[keys count]; i++) {
        NSString *key = [keys objectAtIndex:i];
        NSString *value = [self objectForKey:key];
        [pairs addObject:[NSString stringWithFormat:@"%@=%@", key, value]];
    }
    return [[pairs componentsJoinedByString:@"&"] dataUsingEncoding:NSUTF8StringEncoding];
}

- (NSString *)vnk_HTTPParametersString {
    NSArray *keys = [[self allKeys] sortedArrayUsingSelector:@selector(localizedCaseInsensitiveCompare:)];
    NSMutableArray *pairs = [NSMutableArray arrayWithCapacity:[keys count]];
    for (NSUInteger i=0; i<[keys count]; i++) {
        NSString *key = [keys objectAtIndex:i];
        NSString *value = [self objectForKey:key];
        [pairs addObject:[NSString stringWithFormat:@"%@=%@", [key vnk_URLEncodedString], [value vnk_URLEncodedString]]];
    }
    return [pairs componentsJoinedByString:@"&"];
}

@end
