//
//  VNKService_Private.h
//  VenueKit
//
//  Created by Logan Collins on 3/13/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <VenueKit/VNKService.h>


#define VENUEKIT_API_ENDPOINT @"https://api.foursquare.com/v2/"
#define VENUEKIT_API_DATEVERIFIED @"20130101"


@interface VNKService ()

@property (copy, readwrite) NSString *clientIdentifier;
@property (copy, readwrite) NSString *clientSecret;

@end


@interface VNKServiceImageRequest : NSObject

- (id)initWithService:(VNKService *)service imageDictionary:(NSDictionary *)imageDictionary size:(NSUInteger)size;

@property (nonatomic, strong) VNKService *service;
@property (nonatomic, copy) NSDictionary *imageDictionary;
@property (nonatomic) NSUInteger size;

@property (nonatomic, getter=isRunning) BOOL running;
- (void)startWithCompletionHandler:(void (^)(NSData *imageData, NSError *error))handler;
- (void)cancel;

@end
