//
//  VNKVenue.h
//  VenueKit
//
//  Created by Logan Collins on 3/13/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <VenueKit/VenueKitDefines.h>
#import <CoreLocation/CoreLocation.h>


@class VNKVenueCategory, VNKService;


@interface VNKVenue : NSObject

@property (nonatomic, strong, readonly) VNKService *service;

@property (nonatomic, copy, readonly) NSString *identifier;
@property (nonatomic, copy, readonly) NSString *name;

@property (nonatomic, copy, readonly) CLLocation *location;
@property (nonatomic, copy, readonly) NSDictionary *addressDictionary;

@property (nonatomic, readonly, getter=isVerified) BOOL verified;

@property (nonatomic, copy, readonly) NSString *url;

@property (nonatomic, copy, readonly) NSArray *categories;
@property (nonatomic, copy, readonly) NSArray *tags;

@property (nonatomic, copy, readonly) NSDate *creationDate;

@end


VENUEKIT_EXTERN NSString * VNKAddressStreetKey;
VENUEKIT_EXTERN NSString * VNKAddressCrossStreetKey;
VENUEKIT_EXTERN NSString * VNKAddressCityKey;
VENUEKIT_EXTERN NSString * VNKAddressStateKey;
VENUEKIT_EXTERN NSString * VNKAddressPostalCodeKey;
VENUEKIT_EXTERN NSString * VNKAddressCountryKey;
