//
//  VNKVenueSearch.h
//  VenueKit
//
//  Created by Logan Collins on 3/13/13.
//  Copyright (c) 2013 Sunflower Softworks. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>


@class VNKService;


@interface VNKVenueSearch : NSObject

- (id)initWithService:(VNKService *)service;

@property (nonatomic, strong, readonly) VNKService *service;

@property (nonatomic, copy) CLLocation *location;
@property (nonatomic) CLLocationDistance radius;
@property (nonatomic, copy) NSString *naturalLanguageQuery;
@property (nonatomic) NSUInteger maximumNumberOfResults;

@property (nonatomic, readonly, getter=isSearching) BOOL searching;
- (void)startWithCompletionHandler:(void (^)(NSArray *venues, NSError *error))handler;
- (void)cancel;

@end
